Subject: Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Andy Furniss <[email-masked]>
Date: Wed, 23 Mar 2005 20:53:56 +0000

jamal wrote:

> 
> Ok, try the module thing; actually try to modprobe mark target first and
> see if that works as well.

Looks like they load OK - anyway I rebooted and modprobed ipt and 
ipt_MARK before test and it still fails - will do new kernel a bit later.

> 
> 
>>I get exactly the same error if I also add action mirred egress redirect 
>>dev lo - before I would get different.
>>
> 
> 
> Didnt follow - still related to ipt?

When action ipt MARK failed in previous tests and was followed by an 
action mirred ...

I would get an error like
...
bad action type mirred
...

but I can now follow the action ipt MARK line with an action mirred ..

and I just get the MARK error

tablename: mangle hook: NF_IP_PRE_ROUTING
         target: MARK set 0x1  index 0
RTNETLINK answers: Invalid argument
We have an error talking to the kernel

Andy.